Clear all cached data for the user
curl --request GET \
--url https://api.weblinq.dev/v1/user/clear-cache \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.weblinq.dev/v1/user/clear-cache"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.weblinq.dev/v1/user/clear-cache', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"cleared": true,
"message": "<string>",
"details": {
"v1CacheCleared": 123,
"v2CacheCleared": 123,
"totalCleared": 123,
"globalPurgeSuccess": true
}
},
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"creditsCost": 123
}{
"success": false,
"error": {
"message": "Authentication required",
"code": "UNAUTHORIZED",
"requestId": "bf68e5de-f6ef-479f-9328-6d3f48d5b7d4"
}
}{
"success": false,
"error": {
"message": "Authentication required",
"code": "UNAUTHORIZED",
"requestId": "bf68e5de-f6ef-479f-9328-6d3f48d5b7d4"
}
}User
Clear all cached data for the user
Deletes all cached entries for web operations (V1 and V2) for the authenticated user. This includes cached results from screenshot, markdown, PDF, scraping, and other web operation endpoints.
GET
/
v1
/
user
/
clear-cache
Clear all cached data for the user
Authorizations
Enter your API token or session token
Response
Cache cleared successfully
⌘I
